<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .contenedor {
            width: 100%;
            height: 50vh;
            color: white;
            display: grid;
            grid-template-columns: repeat(12, 1fr);
            grid-template-rows: repeat(6, 1fr);
            gap: 10px;
        }

        .features {
            background-color: red;
        }

        .merch {
            /*grid-row: 1;*/
            grid-column: 1/5;
        }

        header {
            background-color: black;
            /*grid-row: 1;*/
            grid-column: 5/-1;
        }

        .lateral {
            background-color: green;
            grid-column: 1/4;
            grid-row: 2/-1;

        }

        .productos {
            background-color: blue;
            grid-row: 2/4;
            grid-column: 4/11;

        }

        .bonus {
            background-color: pink;
            opacity: 0.7;
        }

        .feature2 {
            grid-column: 11/-1;
        }

        .feature3 {
            grid-column: 11/-1;
            grid-row: 4/5;
        }

        .bonus1 {
            grid-column: 4/6;
        }

        .bonus2 {
            grid-column: 6/8;
        }

        .bonus3 {
            grid-column: 9/11;
        }

        .bonus4 {
            grid-column: 11/-1;
        }

        footer {
            background-color: orange;
            grid-column: 4/-1;
        }

        .contenedor>* {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        @media all and (max-width:1000px) {
            .contenedor {
                grid-template-columns: repeat(3, 1fr);
                gap: 2px;
            }

            .merch {
                grid-column: 1;
            }

            header {
                grid-column: 2/-1;
            }

            .lateral {
                grid-column: 1;
            }

            .productos {
                grid-column: 2;
            }

            .feature2 {
                grid-column: 3;
            }

            .feature3 {
                grid-column: 3;
                grid-row: 3;
            }

            .bonus1 {
                grid-row: 4;
                grid-column: 2;
            }

            .bonus3 {
                grid-row: 4;
                grid-column: 3;
            }

            .bonus2 {
                grid-row: 5;
                grid-column: 2;
            }

            .bonus4 {
                grid-row: 5;
                grid-column: 3;
            }

            footer {
                grid-row: 6;
                grid-column: 2/-1;
            }
        }

        @media all and (max-width:600px) {
            .contenedor {
                grid-template-columns: 1fr 2fr;
                grid-template-rows: repeat(9, 1fr);

            }

            .lateral {
                grid-row: 2;
                grid-column: 1/-1;
            }

            .productos {
                grid-row: 3/5;
                grid-column: 1;
            }

            .feature2 {
                grid-row: 3;
                grid-column: 2;
            }

            .feature3 {
                grid-row: 4;
                grid-column: 2;
            }

            .bonus1 {
                grid-row: 5;
                grid-column: 1/-1;
            }

            .bonus3 {
                grid-row: 6;
                grid-column: 1/-1;
            }

            .bonus2 {
                grid-row: 7;
                grid-column: 1/-1;
            }

            .bonus4 {
                grid-row: 8;
                grid-column: 1/-1;
            }

            footer {
                grid-row: 9;
                grid-column: 1/-1;
            }
        }
    </style>
</head>

<body>
    <div class="contenedor">
        <div class="features merch">Feature Merchandising</div>
        <header>Header</header>
        <div class="lateral">Side bar</div>
        <div class="productos">Products</div>
        <div class="features feature2">Feature 2</div>
        <div class="bonus bonus1">Bonus 1</div>
        <div class="bonus bonus3">Bonus 3</div>
        <div class="features feature3">Feature 3</div>
        <div class="bonus bonus2">Bonus 2</div>
        <div class="bonus bonus4">Bonus 4</div>
        <footer>Footer</footer>
    </div>
</body>

</html>